# PetscViewerFlush

Flushes a PetscViewer (i.e. tries to dump all the data that has been printed through a PetscViewer).

### Synopsis

    #include "petscviewer.h"
    PetscErrorCode  PetscViewerFlush(PetscViewer viewer)

Collective on PetscViewer

### Input Parameter

viewer -the PetscViewer to be flushed

### See Also

PetscViewerSocketOpen(), PetscViewerASCIIOpen(), PetscViewerDrawOpen(), PetscViewerCreate(), PetscViewerDestroy(),
PetscViewerSetType()

Level:intermediate
Location: src/sys/viewer/interface/flush.c
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex29.c.html